Name:		openCryptoki
Summary:	Implementation of Cryptoki v2.11 for IBM Crypto Hardware
Version:	2.1.3
Release:	1
License:	Other License(s), see package
Group:		Productivity/Security
Source:		openCryptoki-%{version}.tar.gz
Url:		http://oss.software.ibm.com/developerworks/opensource/opencryptoki
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
PreReq:		shadow-utils coreutils sed
ExclusiveArch:	s390 s390x

%description
The PKCS#11 Version 2.11 api implemented for the IBM Crypto cards.
This package includes support for the IBM 4758 Cryptographic
CoProcessor (with the PKCS#11 firmware loaded) and the IBM eServer
Cryptographic Accelerator (FC 4960 on pSeries)

Summary:      Implementation of PKCS#11 (Cryptoki) v2.11 for IBM Crypto Hardware
Group:        Productivity/Security

%prep
%setup -q

%build
# Create the pkcs11 group if it doesn't exist yet
#/usr/sbin/groupadd -g %pkcs11_group_id -o -r pkcs11 || {
#    RC=$?
#    case $RC in
#	9)  # the group pkcs11 already exists
#	    echo "this is ok";;
#	*)  # disgracefully fail
#	    exit $RC;;
#    esac
#}

#./autoversion
autoreconf --force --install
# openCryptoki appends a 'so64' to 64bit shared objects and they stay
# in /usr/lib, so we leave libdir allone.  libexecdir is not needed as
# well, since IBM does not support the 64bit tools, if a 32bit
# compatibility exists in the 64bit architecture, so no conflicts
# possible here as well.
#./configure # --libdir=%_libdir
./configure
make -f Makefile

%install
# according to the stuff, / can not be build root... So
# if build root is set, then we can muck with it
if [[ $RPM_BUILD_ROOT  ]] ;
then
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT
        # the makefiles want INSROOT set for an alternative install path
	export INSROOT=$RPM_BUILD_ROOT
fi
make -f Makefile install
%ifarch s390
mkdir -p $RPM_BUILD_ROOT/usr/include
cp -a usr/include/pkcs11 $RPM_BUILD_ROOT/usr/include
%endif
# Create etc/pkcs11 and set the permissions correctly
mkdir -p $RPM_BUILD_ROOT/etc/pkcs11

%clean
#make -f Makefile clean

%pre
#/usr/sbin/groupadd -g %pkcs11_group_id -o -r pkcs11 2>/dev/null || true
#/usr/sbin/usermod -G $(/usr/bin/id --groups --name root | /bin/sed -e '

%files
%ifarch s390
%{_sbindir}/pkcsslotd
%{_libdir}/pkcs11/methods/pkcs11_startup
%{_libdir}/pkcs11/methods/pkcsconf
%{_libdir}/pkcs11/methods/pkcs_slot
%{_libdir}/pkcs11/PKCS11_API.so
%{_libdir}/pkcs11/stdll/PKCS11_SW.so
%{_includedir}/pkcs11
%else
/usr/lib/pkcs11/PKCS11_API.so64
#%{_libdir}/pkcs11/stdll/PKCS11_ICA.so64
%endif
